New XAMPP versions for Linux, Windows, and Mac OS X

Announcements and news about XAMPP and the Apache Friends project.

New XAMPP versions for Linux, Windows, and Mac OS X

Postby Oswald » 08. October 2007 08:59

The autumn comes, and besides of chilliness and early gingerbread it brings also new versions of XAMPP for Windows, Linux and Mac OS X.

In all versions we updated Apache to 2.2.6, PHP to 5.2.4 and phpMyAdmin to 2.11.1. (Find more details on the specific download page.) I'm sorry to say, but under Windows we currently have problems with the new Apache and mod_perl, which doesn't work at all. We hope to find a solution soon.

Another great news: The Mac OS X version is now available as Universal Binary and runs now also on older PowerPC-based Macs.

Get the downloads and more details on the specific platforms XAMPP project page.
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby delftdamage » 08. October 2007 17:57

I want to confirm xampp 1.6.4 works fine in Vista now.

The problems in the betas with mysql as a service are fixed.
(I guess because of the installer that adds some registry keys)

I still see two apache crash notifications when I stop apache from the control panel, but it's not a problem just irritating.

Many thanxs for this release!
delftdamage
 
Posts: 30
Joined: 15. June 2007 23:56

Postby statm1 » 10. October 2007 06:29

I waited till the final 1.6.4 came out so I didnt have to worry about any problems that a beta would give me. And those problems Delf described above I am experiencing..

I downloaded the upgrade from 1.6.3a to 1.6.4 package and somehow it deleted my mysqld-nt file so now the MySQL service wont start. As well as the apache crashes.

I heard that if I try to replace it, it might cause more problems.. Any solution?
statm1
 
Posts: 1
Joined: 10. October 2007 06:20

Postby kvo » 10. October 2007 11:22

Hello statm1!

a) mysql-nt: Sorry, but i cannot resolve the problem. Normaly, the xampp upgrade do not delete the mysql-nt .exe. I dont know, what is wrong.
b) Please replace your xampp control panel with the panel in the xampp 1.6.4 zip. That is because you have your (old) xampp control panel open in the same time when the upgrade program proceeded. So the Upgrade cannot refresh (means overwrite) the "old" control panel with the newer one.

I hope it helps!
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin

Postby delftdamage » 15. November 2007 17:47

Please keep xampp up to date.... :oops:

PHP 5.2.5
FileZilla Server 0.9.24
phpMyAdmin 2.11.2.2
Last edited by delftdamage on 27. November 2007 18:28, edited 1 time in total.
delftdamage
 
Posts: 30
Joined: 15. June 2007 23:56

Postby tokyobaka » 20. November 2007 12:41

Please :oops:

OpenSSL 0.9.8g
tokyobaka
 
Posts: 12
Joined: 10. May 2007 05:08
Location: Tokyo - Japan

Postby delftdamage » 27. November 2007 18:36

It's now 20days after the php 5.2.5 release...
I don't see beta's or upgrades.
Any progress made already?

Still many thanx for all the work...
delftdamage
 
Posts: 30
Joined: 15. June 2007 23:56

Postby tokyobaka » 10. December 2007 14:20

Please keep xampp up to date.... :oops:
phpMyAdmin 2.11.3
ADOdb 4.96

Thank you !
tokyobaka
 
Posts: 12
Joined: 10. May 2007 05:08
Location: Tokyo - Japan

Postby dravekx » 24. January 2008 12:06

Apache 2.2.8 update?
User avatar
dravekx
 
Posts: 24
Joined: 24. January 2008 09:46
Location: Memphis, Tenn

Postby Oswald » 24. January 2008 12:20

Dear Dravekx!

We just build first XAMPP BETA releases containing:
  • PHP (4.4.8) [Windows: 4.4.8 RC2]
  • Perl (5.10.0)
  • Apache (2.2.8)
  • phpMyAdmin (2.11.4)
See http://www.apachefriends.org/en/xampp-beta.html

(An announcement will follow in the next hours.)

Greetings
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby dravekx » 25. January 2008 04:17

Awesome Oswald! But whats up with going back to php 4.4.8???
User avatar
dravekx
 
Posts: 24
Joined: 24. January 2008 09:46
Location: Memphis, Tenn

Postby Oswald » 25. January 2008 07:56

Dear Dravekx!

I'm sorry, that was easy to misunderstand.

XAMPP's PHP 4 was upgraded to 4.4.8, XAMPP's PHP 5 is still 5.2.5.

Many greetings
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby x-files » 11. February 2008 07:25

http://www.apachefriends.org/en/xampp-windows.html says latest version is 1.6.5

http://sourceforge.net/projects/xampp says latest version is 1.6.6

...

Who's right ? :?
x-files
 
Posts: 23
Joined: 16. November 2007 02:57

Postby Oswald » 11. February 2008 10:08

Hi x-files!

Before we change our website we wait after uploading the files to Source Forge for some hours to let Source Forge's mirrors distribute the files.

That's all! :)

Greetings
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby x-files » 11. February 2008 14:50

Oswald wrote:Hi x-files!

Before we change our website we wait after uploading the files to Source Forge for some hours to let Source Forge's mirrors distribute the files.

That's all! :)

Greetings
Oswald


Thank you Oswald, I thought Source Forge could be mirroring a Release Candidate version, as they had 1.6.6 only for Windows... :shock:
x-files
 
Posts: 23
Joined: 16. November 2007 02:57

Next

Return to Announcements and news

Who is online

Users browsing this forum: No registered users and 2 guests